API referenceService
Process liveness
GET /healthz
GET https://api.healthcare.dev/healthzReturns 200 while the process is up. Does not check dependencies.
Public: no API key needed.
Examples
curl
curl "https://api.healthcare.dev/healthz"TypeScript
const res = await fetch("https://api.healthcare.dev/healthz");
const { data, meta } = await res.json();Python
import requests
res = requests.get("https://api.healthcare.dev/healthz")
body = res.json()Try it
Response
Process is alive
{
"status": "ok",
"version": "string"
}Fields
| Field | Type | Always present | Description |
|---|---|---|---|
status | "ok" | yes | |
version | string | yes |